Name:           couchdb-glib
Version:        0.5.3
Release:        1%{?dist}
Summary:        A glib api to access CouchDB servers

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.gnome.org/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: json-glib-devel
BuildRequires: libuuid-devel
BuildRequires: libsoup-devel
BuildRequires: openssl-devel
BuildRequires: gettext

%description
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/couchdb-glib-1.0/
%{_libdir}/pkgconfig/couchdb-glib-1.0.pc
%{_libdir}/*.so

%changelog
* Fri Nov 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-1
- Update to 0.5.3 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- Update to 0.5.2 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- Update to 0.5.1 release

* Mon Oct  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- Initial packaging
